Bug 10331 - Little errors in unimarc_field_4XX.pl (punctuation)
Summary: Little errors in unimarc_field_4XX.pl (punctuation)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Janusz Kaczmarek
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-24 12:07 UTC by Janusz Kaczmarek
Modified: 2015-06-04 23:24 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (2.49 KB, patch)
2013-05-24 12:12 UTC, Janusz Kaczmarek
Details | Diff | Splinter Review
Proposed patch - improved (2.96 KB, patch)
2013-05-29 20:04 UTC, Janusz Kaczmarek
Details | Diff | Splinter Review
Bug 10331 - Little errors in unimarc_field_4XX.pl (punctuation) (3.07 KB, patch)
2013-08-27 21:36 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10331 - Little errors in unimarc_field_4XX.pl (punctuation) (3.08 KB, patch)
2013-08-27 21:36 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 10331 - Little errors in unimarc_field_4XX.pl (punctuation) (4.65 KB, patch)
2013-09-08 08:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Janusz Kaczmarek 2013-05-24 12:07:47 UTC
The punctuation in subfield $a in linking fields 4XX is wrong when filling it up with the unimarc_field_4XX.pl

To reproduce:

A.
1) have $a active in one of the linking fields (like 461, 463, etc.).
2) have a biblio record with the field 700 $a, $b, $f filled up
3) go to cataloguing -> field 4XX of your choice, use the plugin to fetch data from biblio rec. mentioned in b)
4) see the punctuation in $a -- it will be wrong (no closing bracket)

B.
1) have $a active in one of the linking fields (like 461, 463, etc.).
2) have a biblio record with the field 700 $a, $b, $c, $f filled up
3) go to cataloguing -> field 4XX of your choice, use the plugin to fetch data from biblio rec. mentioned in b)
4) see the punctuation in $a -- it will be wrong (dash instead of semicolon between original $c and $f, no closing bracket)

C.
1) have $a active in one of the linking fields (like 461, 463, etc.).
2) have a biblio record with the field 702 $a, $b, $c filled up
3) go to cataloguing -> field 4XX of your choice, use the plugin to fetch data from biblio rec. mentioned in b)
4) see the punctuation in $a -- it will be wrong (unnecessary semicolon after original $c, n.b. lacking space).

A patch will follow.
Comment 1 Janusz Kaczmarek 2013-05-24 12:12:02 UTC Comment hidden (obsolete)
Comment 2 Janusz Kaczmarek 2013-05-29 20:04:55 UTC Comment hidden (obsolete)
Comment 3 Bernardo Gonzalez Kriegel 2013-08-27 21:36:06 UTC Comment hidden (obsolete)
Comment 4 Bernardo Gonzalez Kriegel 2013-08-27 21:36:53 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2013-09-07 21:26:04 UTC
A looks good, but it seems something is wrong with my UNIMARC installation, as I am not able to add authorities there :(

No matter what I enter in 100$a I always get: Unsupported UNIMARC character encoding [] for XML output for UNIMARCAUTH; 100$a -> a at /usr/share/perl5/MARC/File/XML.pm line 505.

Jonathan, maybe you could take a look at this? Adding you as QA contact.
Comment 6 Bernardo Gonzalez Kriegel 2013-09-08 03:04:52 UTC
(In reply to Katrin Fischer from comment #5)
> A looks good, but it seems something is wrong with my UNIMARC installation,
> as I am not able to add authorities there :(
> 
> No matter what I enter in 100$a I always get: Unsupported UNIMARC character
> encoding [] for XML output for UNIMARCAUTH; 100$a -> a at
> /usr/share/perl5/MARC/File/XML.pm line 505.
> 
Katrin,
I used 'YYYYMMDDaengy01030204ba0' for 100a, just copied from UNIMARC auth manual, and worked

But I noticed something else unrelated with the bug. If I add a new authority and press save without filling any tag, the error message points the missing fields but the tab number information is missing, at last in my install. For example "fixed length control f in tab ..."
Comment 7 Katrin Fischer 2013-09-08 07:26:29 UTC
Could it be that the English frameworks are missing a plugin here? I would have never guessed that :) Trying again a little later - thx Bernardo!
Comment 8 Katrin Fischer 2013-09-08 08:15:37 UTC
Working on this again now - Bernardo, could you file a new bug for the error messages?
Comment 9 Katrin Fischer 2013-09-08 08:40:11 UTC
Created attachment 20877 [details] [review]
[PASSED QA] Bug 10331 - Little errors in unimarc_field_4XX.pl (punctuation)

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Comment: Work as described, no koha-qa errors

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Copying the test plan from the bug report:

A.
1) have $a active in one of the linking fields (like 461, 463, etc.).
2) have a biblio record with the field 700 $a, $b, $f filled up
3) go to cataloguing -> field 4XX of your choice, use the plugin to
  fetch data from biblio rec. mentioned in 2)
4) see the punctuation in $a -- it will be wrong (no closing bracket)

B.
1) have $a active in one of the linking fields (like 461, 463, etc.).
2) have a biblio record with the field 700 $a, $b, $c, $f filled up
3) go to cataloguing -> field 4XX of your choice, use the plugin to
   fetch data from biblio rec. mentioned in 2)
4) see the punctuation in $a -- it will be wrong (dash instead of
   semicolon between original $c and $f, no closing bracket)

C.
1) have $a active in one of the linking fields (like 461, 463, etc.).
2) have a biblio record with the field 702 $a, $b, $c filled up
3) go to cataloguing -> field 4XX of your choice, use the plugin to
   fetch data from biblio rec. mentioned in 2)
4) see the punctuation in $a -- it will be wrong (unnecessary semicolon
   after original $c, n.b. lacking space).

D.
1) have $a active in one of the linking fields (like 461, 463, etc.).
2) have a biblio record with the field 712 $a, $b filled up
3) go to cataloguing -> field 4XX of your choice, use the plugin to
   fetch data from biblio rec. mentioned in b)
4) see the punctuation in $a -- it will be wrong (unnecessary opening
   bracket at the end).

Test plan, all tests and QA script pass.
Thx Bernardo for his testing and explanations!
Comment 10 Katrin Fischer 2013-09-08 08:42:27 UTC
I have worked on this by using the provided test plan. I am dding some UNIMARC users in CC - Jonathan, Mathieu, please add your comment, if you think this needs more testing. 
The punctuation looked nice and sane to me - but who knows :)
Comment 11 mathieu saby 2013-09-08 09:07:06 UTC
We don't really use cataloguing modyule in Rennes 2 (all records imported from Academic libraries catalog), so I won't test. But I am sure your tests are fine.

Mathieu
Comment 12 Galen Charlton 2013-09-08 19:23:14 UTC
Pushed to master.  Thanks, Janusz!
Comment 13 Tomás Cohen Arazi 2013-11-06 14:34:36 UTC
This patch has been pushed to 3.12.x, will be in 3.12.7.

Thanks Janusz!
Comment 14 Kyle M Hall 2013-12-20 14:19:52 UTC
This patch has been pushed to 3.8.x, and will be in 3.08.20.

Thanks Janusz!